uuid: 7d70ba60-50f0-40c4-ad91-05ac76c4b680
langcode: en
status: true
dependencies:
  config:
    - media.type.document
  module:
    - media
_core:
  default_config_hash: qRAVuCEff49i3-EnfTLObQFU_aGAFbdOPpBXZwdGYvk
id: media.document
targetEntityType: media
bundle: document
types:
  - 'pcdm:File'
fieldMappings:
  name:
    properties:
      - 'dcterms:title'
      - 'rdf:label'
  created:
    properties:
      - 'schema:dateCreated'
    datatype_callback:
      callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
  changed:
    properties:
      - 'schema:dateModified'
    datatype_callback:
      callable: 'Drupal\rdf\CommonDataConverter::dateIso8601Value'
  uid:
    properties:
      - 'schema:author'
    mapping_type: rel
  field_mime_type:
    properties:
      - 'ebucore:hasMimeType'
  field_media_of:
    properties:
      - 'pcdm:fileOf'
    mapping_type: rel
  field_original_name:
    properties:
      - 'premis3:originalName'
  field_tags:
    properties:
      - 'schema:additionalType'
    mapping_type: rel
  field_file_size:
    properties:
      - 'premis:hasSize'
